GET/ events/ :id/
Get single event
You can return a list of specific event occurrences.
Attributes
Optional unless marked required
- id
- A unique identifier for the event which is given by User automatically.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X GET "https://<your_app_subdomain>.user.com/api/public/events/:id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/events/:id/",
{
method: "GET",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
},
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/events/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.get(
"https://<your_app_subdomain>.user.com/api/public/events/:id/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
)
print(response.json())
Response examples
- 200 OK
- 404 Not Found
{"count": 2,"next": null,"previous": null,"results": [{"user_id": 1892,"timestamp": "2026-11-10T07:21:17Z","id": 6,"items": ,3 items"user_custom_id": "jane-doe"},{"user_id": 1892,"timestamp": "2026-11-10T07:21:17Z","id": 5,"items": ,3 items"user_custom_id": "jane-doe"}]}{
"detail": "No Event matches the given query."
}
Response fields
Fields returned in the 200 OK response body.
- count
- Number of results across all pages. It can lag behind recent changes; see Response pagination.
- next
- URL of the next page of results. null on the last page.
- previous
- URL of the previous page of results. null on the first page.
- results
- Results on this page.
- results[].
user_id - ID of the contact the event was recorded for.
- results[].
timestamp - A datetime when an event occured in UNIX format.
- results[].
id - A unique identifier for the event which is given by User automatically.
- results[].
items - Attributes sent with the event.
- results[].
items[]. name - An event name.
- results[].
items[]. name_std - Standardized attribute name (
Order valuebecomesorder_value). - results[].
items[]. value - Attribute value.
- results[].
items[]. type - Attribute value type.
- results[].
- results[].
user_custom_id - Your own identifier of the contact.
- results[].
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.